Bug 615786 - As screensaver activates and screen dims cannot intervene with mouse/keys
As screensaver activates and screen dims cannot intervene with mouse/keys
Status: CLOSED DUPLICATE of bug 612620
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-18 15:31 EDT by Mike C
Modified: 2015-01-14 18:25 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-10 00:38:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike C 2010-07-18 15:31:24 EDT
Description of problem:
As the screensaver kicks in at the appointed timeout the screen slowly dims - previously at this time hitting a key or moving the mouse would prevent the screensaver coming on and return to a normal screen.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.30.0-1.fc13.i386

How reproducible:
Every time

Steps to Reproduce:
1. Set screensaver timeout
2. Wait for screen to start dimming
3. Hit a key such as shift or move the mouse
  
Actual results:
No response and no return to normal screen, until after screensaver is running

Expected results:
Key press should stop progress of dimming and return to normal screen before screensaver is running.

Additional info: The package mesa-dri-drivers-experimental-7.8.1-6.fc13.i686 is installed.  The machine is running stock f13 and no nvidia proprietary drivers are or have been installed at any stage - only nouveau

Hardware is http://www.smolts.org/client/show/pub_d467135e-c9f3-4344-ac73-9e7ab147b5a3

Kernel is kernel-PAE-2.6.33.6-147.fc13.i686
Comment 1 Mike C 2010-07-18 15:37:49 EDT
I forgot to mention - this is in gnome
Comment 2 gene c 2010-07-18 16:18:20 EDT
I only use screen blanking - (put screen to sleep when inactive .. ) same problem. Was working fine up till a couple weeks ago - was about the time i added  mesa-dri-drivers-experimental ... f13.
Comment 3 Hans Ulrich Niedermann 2010-07-20 08:42:51 EDT
I was quite annoyed when this started happening on my systems (both upgraded to F13, one from F11, the other from F12) as well and am looking forward to the fading out period becoming responsive to keyboard/mouse action again.

As a quick workaround though, I have used gconf-editor to set /apps/gnome-screensaver/lock-delay to something larger than 0, e.g. 1 or 2. This gives me a minute or two (*after* the unstoppable fadeout) to get rid of the screensaver by waving around the mouse, without needing to enter my password again.

This very useful option was removed from the GUI a few years ago, but I am glad it is still implemented...
Comment 4 Steevithak 2010-07-21 16:03:18 EDT
I'm experiencing this bug on two F13 boxes. Normally, if I notice the screen saver has timed out and started dimming the screen, I hit a key to stop it. But now, once the dimming has started all mouse and keyboard input is ignored, so there is no way to stop the screen saver from kicking in. I have to wait through the entire dimming sequence and then enter the password. This is incredibly annoying as it happens many times per day. As a work around, I've increased the amount of time before the screen saver turns on but would like to see this fixed ASAP.

It's happening on a Dell Inspiron 531S desktop machine with an ATI video card as well as on my ancient Dell Inspiron 8600 laptop which has an nVidia graphics card.

This bug was not present in F12, F11, or older version of Fedora. I don't think I noticed it when I first upgraded to F13. But I'm not sure exactly when it started.
Comment 5 Mike C 2010-07-23 10:08:53 EDT
This looks like it should link to #612620
Comment 6 Tim Taiwanese Liim 2010-08-10 00:21:27 EDT
These 4 bugs seems to be related, or are the same one.
  bug612620 Fade-out to screensaver cannot be interrupted 
            with xorg-x11-server-Xorg-1.8.2-1.fc13
  bug615786 As screensaver activates and screen dims cannot intervene 
            with mouse/keys
  bug620186 The fading of the screen when GNOME screensaver start is 
            not interruptible  
  bug620264 gnome-screensaver activates whether or not activity occurs 
            once dimming starts
Comment 7 Matt Chan 2010-08-10 00:37:54 EDT
Yes, it does. I'll mark this one as duplicate. Thanks for the heads up guys.
Comment 8 Matt Chan 2010-08-10 00:38:07 EDT

*** This bug has been marked as a duplicate of bug 612620 ***

Note You need to log in before you can comment on or make changes to this bug.